library(targets)
suppressPackageStartupMessages(library(tidyverse))
suppressPackageStartupMessages(library(readr))

tar_option_set(packages = c("dataRetrieval", "retry",
                            "purrr"),
               error = "continue")

# Phase target makefiles
source("1a_fetch_metals.R")
source("1b_fetch_ancillary.R")
source("2_summarize.R")

# Combined list of target outputs
c(p1_metals_targets, p1_ancillary_targets, p2_targets)
